package com.kingdee.eas.custom.shuiyou.uitls;

import com.google.common.collect.Maps;
import com.kingdee.bos.BOSException;
import org.apache.log4j.Logger;

import java.io.FileInputStream;
import java.io.IOException;
import java.util.Map;
import java.util.Properties;
import java.util.Set;

/**
 * 配置文件类
 * description: SYUConfigUtil <br>
 * date: 2024/8/23 15:11 <br>
 * author: lhbj <br>
 * version: 1.0 <br>
 */
public class SYUConfigUtil {
    private static Logger logger =Logger.getLogger(SYUConfigUtil.class);
    private Properties propt = new Properties();//共用参数
    private static SYUConfigUtil instance = new SYUConfigUtil();

    public static SYUConfigUtil getInstance() {
        return instance;
    }

    private SYUConfigUtil() {
        this.initConfig("/server/properties/sy/syConfig.properties");
    }

    public void initConfig(String filePath) {
        try {
            this.propt.load(new FileInputStream(System.getProperty("EAS_HOME") + filePath));
        }catch (IOException e){
            e.printStackTrace();
            logger.error(e);
        }
    }

    public Map<String,String> getConfig() {
        Map<String,String> map = Maps.newHashMap();
        Set<Map.Entry<Object, Object>> set = this.propt.entrySet();
        for(Map.Entry<Object, Object> entry : set){
            map.put((String)entry.getKey(),(String)entry.getValue());
        }
        return map;
    }
}
